@import "./add";
@import "./basemaps";
@import "./file-import";
@import "./icons";
@import "./toolbar";
@import "./menu";

.top-most-container {
  height: 100%;

  .main-container {
    height: 100%;
  }

  &.manage-main-container {
    background-color: rgb(var(--bs-white-rgb));
    color: var(--bs-body-color);
    background-image: url("/assets/img/top-corner.svg"), url("/assets/img/bottom-corner.svg"), url("/assets/img/bg.svg");
    background-position: left top, right bottom, center center;
    background-repeat: no-repeat, no-repeat, repeat;
    background-attachment: fixed, fixed, scroll;
    min-height: 100%;
    height: auto;
    display: flex;
    flex-direction: column;

    .main-container {
      min-height: auto;
      height: auto;
      flex-grow: 1;
    }
  }
}

@include color-mode(dark) {
  &.manage-main-container, .manage-main-container {
    background-image: url("/assets/img/top-corner-dark.svg"), url("/assets/img/bottom-corner-dark.svg"), url("/assets/img/bg-dark.svg");
  }
}
